Subject: 440SPe/Katmai PCIe problems

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 12 May 2010 12:40:13 +1000

Hi Stefan !

(Or somebody from AMCC)

I noticed we still have this old problem on PCIe where some cards don't
seem to work. The link trains but they don't respond on config space.
This is the case for example of that Sunix quad USB card. It seems to be
related to the kind of TI PCIe <-> PCI bridge on these though.

Have anybody tracked down the root cause of the problem ? Some say that
it could be that the bridge doesn't cope with the double reset (uboot
then kernel). Would it be possible to tell uboot to avoid touching the
PCIe interface completely so the kernel is the first one to get in ?

Cheers,
Ben.